%define name gstreamer0.10
%define oname gstreamer
%define version 0.10.36
%define release %mkrel 2
%define vname %{oname}10

%define major 0.10
%define majorminor 0.10
%define libname %mklibname %{name}_ %{major}
%define libnamedev %mklibname -d %{name}
%define build_docs 0

Name: 		%name
Summary: 	GStreamer Streaming-media framework runtime
Version: 	%version
Release: 	%release
License: 	LGPLv2+
Group: 		Sound
URL:            http://gstreamer.freedesktop.org/
Source0: 	http://gstreamer.freedesktop.org/src/gstreamer/%{oname}-%{version}.tar.xz
Patch0:	gstreamer-inspect-rpm-format.patch
Patch1:	gstreamer-test-glib-abort.patch
Patch2:	gstreamer-0.10.36-bison-3.0.patch
Patch3:	gstreamer-0.10.36-automake-1.13.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	glib2-devel >= %_glib2
BuildRequires: 	libxml2-devel >= %_libxml2
BuildRequires:	popt-devel
BuildRequires:	gettext-devel
BuildRequires:  libcheck-devel
BuildRequires:  chrpath
BuildRequires: 	nasm => 0.90
BuildRequires: 	bison
BuildRequires:  flex
BuildRequires:  gobject-introspection-devel
%if %build_docs
BuildRequires: 	gtk-doc >= 0.7
BuildRequires: 	transfig
BuildRequires:  docbook-dtd42-xml
BuildRequires:  docbook-dtd412-xml
BuildRequires:  ghostscript
BuildRequires:  python-pyxml
%endif
Obsoletes:  	%name < %version
Requires:	glibc >= 2.20

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package tools
Summary: GStreamer Streaming-media framework runtime
Group: 	Sound
Provides: %vname-tools = %version-%release
Provides: gstreamer
Obsoletes: gstreamer
Obsoletes: %name-tools < %version

%description tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n %libname
Summary: Libraries for GStreamer streaming-media framework
Group: System/Libraries
Requires: %name-tools >= %version-%release
Provides: libgstreamer%{majorminor} = %version-%release
Obsoletes: %libname < %version


%description -n %libname
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %libname-devel
Summary: Libraries and include files for GStreamer streaming-media framework
Group: Development/Libraries
Requires: %{libname} = %{version}
Requires: libglib2-devel
Requires: libxml2-devel
Provides: libgstreamer-devel = %version-%release
Provides: libgstreamer%{majorminor}-devel = %version-%release
Obsoletes: %libname-devel < %version


%description -n%libname-devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %oname-%version
%apply_patches

%build
%configure2_5x  --disable-debug --disable-dependency-tracking \
  --with-cachedir=%{_var}/cache/%{oname}-%{majorminor} \
  --with-configdir=%{_sysconfdir}/%{oname} \
  --disable-tests --disable-examples --disable-rpath \
%if %build_docs
  --enable-docbook --enable-gtk-doc \
%else	
  --disable-docbook --disable-gtk-doc \
%endif
 --with-html-dir=%_datadir/gtk-doc/html

make


%install  
rm -rf $RPM_BUILD_ROOT  installed-docs
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_var}/cache/%{oname}-%{majorminor}
#clean the files we don't want to install 
rm -f $RPM_BUILD_ROOT%{_libdir}/%{oname}-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{oname}-%{majorminor}/*.a
rm -f %buildroot/%_libdir/*a 
rm -f %buildroot/%{_bindir}/gst-feedback
rm -f %buildroot/%{_bindir}/gst-inspect
rm -f %buildroot/%{_bindir}/gst-launch
rm -f %buildroot/%{_bindir}/gst-md5sum
rm -f %buildroot/%{_bindir}/gst-typefind
rm -f %buildroot/%{_bindir}/gst-xmlinspect
rm -f %buildroot/%{_bindir}/gst-xmllaunch


%find_lang %oname-%majorminor
%if %build_docs
mv %buildroot%_datadir/doc/%oname-%majorminor/ installed-docs
%endif

#remove rpath for rpmlint
chrpath -d %buildroot{%_bindir/gst-{inspect,launch,typefind,xmlinspect,xmllaunch}-0.10,%_libdir/{*.so,%{oname}-%{majorminor}/*.so}}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%files tools -f %oname-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%dir %{_var}/cache/%{oname}-%{majorminor}
%{_bindir}/gst-feedback-%majorminor
%{_bindir}/gst-inspect-%majorminor
%{_bindir}/gst-launch-%majorminor
%{_bindir}/gst-typefind-%majorminor
%{_bindir}/gst-xmlinspect-%majorminor
%{_bindir}/gst-xmllaunch-%majorminor
%{_mandir}/man1/gst-feedback-%majorminor.1.*
%{_mandir}/man1/gst-inspect-%majorminor.1.*
%{_mandir}/man1/gst-launch-%majorminor.1.*
%{_mandir}/man1/gst-typefind-%majorminor.1.*
%{_mandir}/man1/gst-xmlinspect-%majorminor.1.*
%{_mandir}/man1/gst-xmllaunch-%majorminor.1.*

%files -n %libname
%defattr(-, root, root)
%dir %{_libdir}/%{oname}-%{majorminor}
%{_libdir}/libgstbase-%majorminor.so.*
%{_libdir}/libgstcheck-%majorminor.so.*
%{_libdir}/libgstdataprotocol-%majorminor.so.*
%{_libdir}/libgstreamer-%{majorminor}.so.*
%{_libdir}/libgstnet-%{majorminor}.so.*
%{_libdir}/libgstcontroller-%{majorminor}.so.*
%{_libdir}/%{oname}-%{majorminor}/libgstcoreelements.so
%{_libdir}/%{oname}-%{majorminor}/libgstcoreindexers.so
%{_libdir}/gstreamer-0.10/gst-plugin-scanner
%{_libdir}/girepository-1.0/*.typelib

%files -n %libname-devel
%defattr(-, root, root)
%doc ChangeLog
%if %build_docs
%doc installed-docs/*
%endif
%dir %{_includedir}/%{oname}-%{majorminor}
%dir %{_includedir}/%{oname}-%{majorminor}/gst
%{_includedir}/%{oname}-%{majorminor}/gst/*.h
%dir %{_includedir}/%{oname}-%{majorminor}/gst/base/
%{_includedir}/%{oname}-%{majorminor}/gst/base/*.h
%{_includedir}/%{oname}-%{majorminor}/gst/check/
%dir %{_includedir}/%{oname}-%{majorminor}/gst/controller/
%{_includedir}/%{oname}-%{majorminor}/gst/controller/*.h
%dir %{_includedir}/%{oname}-%{majorminor}/gst/dataprotocol/
%{_includedir}/%{oname}-%{majorminor}/gst/dataprotocol/*.h
%{_includedir}/%{oname}-%{majorminor}/gst/net/
%{_libdir}/libgstbase-%majorminor.so
%{_libdir}/libgstcheck-%majorminor.so
%{_libdir}/libgstdataprotocol-%majorminor.so
%{_libdir}/libgstreamer-%{majorminor}.so
%{_libdir}/libgstnet-%{majorminor}.so
%{_libdir}/libgstcontroller-%{majorminor}.so
%{_datadir}/aclocal/gst-element-check-%{majorminor}.m4
%{_libdir}/pkgconfig/gstreamer-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-base-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-check-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-dataprotocol-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-net-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-controller-%{majorminor}.pc
%if %build_docs
%dir %{_datadir}/gtk-doc/html/%{oname}-%{majorminor}
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstBin.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstClock.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstObject.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstPipeline.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstPluginFeature.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/%{oname}-support.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/GstXML.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{oname}-%{majorminor}/index.sgml
## gstreamer-libs API
%dir %{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/%{oname}-libs.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/index.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{majorminor}/index.sgml
## this catches all of the rest of the docs we might have forgotten
%{_datadir}/gtk-doc/html/*
%endif
%{_datadir}/gir-1.0/*.gir


# THE NEWEST FILES:
%{_datadir}/gtk-doc/html/gstreamer-0.10/
%{_datadir}/gtk-doc/html/gstreamer-libs-0.10/
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/ch01.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/ch02.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-0.10.devhelp2
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-capsfilter.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-fakesink.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-fakesrc.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-fdsink.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-fdsrc.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-filesink.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-filesrc.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-identity.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-multiqueue.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-plugin-coreelements.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-plugin-coreindexers.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-queue.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-queue2.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-tee.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-typefind.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/home.png
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/index.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/index.sgml
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/left.png
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/right.png
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/style.css
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/up.png
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-input-selector.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-output-selector.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-valve.html
%{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/gstreamer-plugins-funnel.html

%changelog
* Thu Feb 19 2014 bb <bb> 0.10.36-2pclos2015
-  rebuild new glibc

* Thu Aug 08 2013 Texstar <texstar at gmail.com> 0.10.36-1pclos2013
- update

* Sun Jul 03 2011 Texstar <texstar at gmail.com> 0.10.35-1pclos2011
- 0.10.35

